View Issue Details

IDProjectCategoryView StatusLast Update
0003470SOGoWeb Mailpublic2016-05-18 09:38
Reporteremilio.fonseca Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGoogle ChromeOSAndroidOS VersionAny
Product Versionnightly v2 
Fixed in Version3.1.0 
Summary0003470: Creating recipients chips on new Mail is not working on blur
Description

When I'm creating a new mail I have to type the recipients and, on blur, the field should create a new chip for the typed mail.

On mobile, common users just change the focus to other field and, without creating a chip, send button won't be enabled.

Best regards,
Emílio Fonseca

Steps To Reproduce

1 - Click on new mail button;

2 - Type a recipient for the new mail;

3 - Change the focus to another field;

4 - A chip will not be created and send button will keep disabled.

Additional Information

Inspecting the field, I can see that the function $mdAutocompleteCtrl.blur() is certainly called. So, I think this function is the one that should create the chip.

TagsNo tags attached.

Activities

francis

francis

2016-02-02 16:10

administrator   ~0009408

This functionality is unfortunately missing in Angular Material.

See https://github.com/angular/material/issues/3364

Will need a hack if it doesn't get officially fix.

Related Changesets

sogo: master 32ed6a14

2016-05-18 09:37:14

francis

Details Diff
(js) Directive to create chip on blur

Fixes 0003470
Affected Issues
0003470
mod - NEWS Diff File
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
add - UI/WebServerResources/js/Common/sgTransformOnBlur.directive.js Diff File

Issue History

Date Modified Username Field Change
2016-01-29 06:32 emilio.fonseca New Issue
2016-02-02 16:10 francis Note Added: 0009408
2016-05-18 09:38 francis Changeset attached => sogo master 32ed6a14
2016-05-18 09:38 francis Assigned To => francis
2016-05-18 09:38 francis Resolution open => fixed
2016-05-18 09:38 francis Status new => resolved
2016-05-18 09:38 francis Fixed in Version => 3.1.0